Modify

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#9590 closed defect (wontfix)

Can't see plugin in list

Reported by: didley@… Owned by: walnut
Priority: normal Component: ChildTicketsPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.12

Description (last modified by rjollos)

I copied Tracchildtickets-2.4.5-py2.5.egg in my plugin folder. But I can't see the plugin under ...admin/general/plugin .

I'm using

System Information

 Trac	0.12.2 [[BR]]
 Babel	0.9.5 [[BR]]
 CustomFieldAdmin	0.2.2 [[BR]]
 Docutils	0.6 [[BR]]
 FullBlog	0.1.1 [[BR]]
 Genshi	0.6 [[BR]]
 Pygments	1.0 [[BR]]
 pysqlite	2.3.2 [[BR]]
 Python	2.5.4 (r254:67916, Dec 23 2008, 15:10:54) [MSC v.1310 32 bit (Intel)] [[BR]]
 pytz	2009j [[BR]]
 setuptools	0.6c11 [[BR]]
 SilverCity	0.9.7 [[BR]]
 SQLite	3.3.4 [[BR]]
 Subversion	1.5.6 (r36142) [[BR]]
 jQuery:	1.4.2  [[BR]] [[BR]]


No error messages comes up and no error message in the log file. So I don't know how I can enable this plugin.

At the moment I'm using Tracchildtickets-2.4.2-py2.5.egg and it works fine.

Attachments (0)

Change History (8)

comment:1 Changed 3 years ago by anonymous

same problem here with:

System Information
Trac 0.12.2
Genshi 0.6
pysqlite 2.6.0
Python 2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]
setuptools 0.6c11
SQLite 3.6.21
jQuery

comment:2 Changed 3 years ago by didley@…

Now I found a solution. It's strange for me but a developer will understand why it now works maybe.

Change in setup.py

install_requires = ['Trac>=0.12', 'Genshi>=0.5', 'Python>=2.4']

to

install_requires = ['Trac>=0.12', 'Genshi>=0.5'],

helps.

You know I'm using Python 2.5.4 but with the constraint 'Python>=2.4' it works not. It was hard to find but I'm happy now.

didley

comment:3 Changed 3 years ago by rjollos

  • Description modified (diff)

comment:4 Changed 3 years ago by rjollos

If the 'Python>=2.4' constraint is the issue here, there should be an error when you try to build the egg by running python setup.py install, or similar.

comment:5 Changed 3 years ago by didley@…

Running python setup.py bdist_egg

running bdist_egg
running egg_info
creating Tracchildtickets.egg-info
writing requirements to Tracchildtickets.egg-info\requires.txt
writing Tracchildtickets.egg-info\PKG-INFO
writing top-level names to Tracchildtickets.egg-info\top_level.txt
writing dependency_links to Tracchildtickets.egg-info\dependency_links.txt
writing entry points to Tracchildtickets.egg-info\entry_points.txt
writing manifest file 'Tracchildtickets.egg-info\SOURCES.txt'
reading manifest file 'Tracchildtickets.egg-info\SOURCES.txt'
writing manifest file 'Tracchildtickets.egg-info\SOURCES.txt'
installing library code to build\bdist.win32\egg
running install_lib
running build_py
creating build
creating build\lib
creating build\lib\childtickets
copying childtickets\childtickets.py -> build\lib\childtickets
copying childtickets\__init__.py -> build\lib\childtickets
creating build\lib\childtickets\htdocs
creating build\lib\childtickets\htdocs\css
copying childtickets\htdocs\css\childtickets.css -> build\lib\childtickets\htdocs\css
creating build\bdist.win32
creating build\bdist.win32\egg
creating build\bdist.win32\egg\childtickets
copying build\lib\childtickets\childtickets.py -> build\bdist.win32\egg\childtickets
creating build\bdist.win32\egg\childtickets\htdocs
creating build\bdist.win32\egg\childtickets\htdocs\css
copying build\lib\childtickets\htdocs\css\childtickets.css -> build\bdist.win32\egg\childtickets\htd
ocs\css
copying build\lib\childtickets\__init__.py -> build\bdist.win32\egg\childtickets
byte-compiling build\bdist.win32\egg\childtickets\childtickets.py to childtickets.pyc
byte-compiling build\bdist.win32\egg\childtickets\__init__.py to __init__.pyc
creating build\bdist.win32\egg\EGG-INFO
copying Tracchildtickets.egg-info\PKG-INFO -> build\bdist.win32\egg\EGG-INFO
copying Tracchildtickets.egg-info\SOURCES.txt -> build\bdist.win32\egg\EGG-INFO
copying Tracchildtickets.egg-info\dependency_links.txt -> build\bdist.win32\egg\EGG-INFO
copying Tracchildtickets.egg-info\entry_points.txt -> build\bdist.win32\egg\EGG-INFO
copying Tracchildtickets.egg-info\requires.txt -> build\bdist.win32\egg\EGG-INFO
copying Tracchildtickets.egg-info\top_level.txt -> build\bdist.win32\egg\EGG-INFO
zip_safe flag not set; analyzing archive contents...
creating dist
creating 'dist\Tracchildtickets-2.4.5-py2.5.egg' and adding 'build\bdist.win32\egg' to it
removing 'build\bdist.win32\egg' (and everything under it)

See also #9589 there is the same.

comment:6 Changed 3 years ago by walnut

Please take a look at #7017 - somebody (anonymous!) reported that this is a known issue with setuptools 0.6c11 ...

comment:7 follow-up: Changed 3 years ago by anonymous

  • Resolution set to wontfix
  • Status changed from new to closed

I think the issue is with setuptools 0.6c11 ...

comment:8 in reply to: ↑ 7 Changed 3 years ago by walnut

Replying to anonymous:

I think the issue is with setuptools 0.6c11 ...

Sorry - should have logged in first. I closed the ticket!

Mark

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.